
QGIS Application - Bug report #17340

STL 3D models are always rotated by 180

2017-10-27 07:39 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25237

Description

When using stl models, they are always pointing downwards (z axis).

Attached is an example stl file.

History

#1 - 2017-10-27 07:52 AM - Saber Razmjooei

- Assignee set to Peter Petrik

#2 - 2018-03-12 04:26 PM - Martin Dobias

This depends on the convention used for the axes. QGIS uses X/Z axes for the ground plane and Y for elevation. Some models use this convention, but

others may use X/Y for ground plan and Z for elevation and thus appear rotated. Not sure if there is a way to figure out the convention from the input files...

#3 - 2019-02-01 03:34 PM - Peter Petrik

- Assignee deleted (Peter Petrik)

#4 - 2019-02-01 05:08 PM - Saber Razmjooei

- Status changed from Open to Closed

Files

St Stephen_s Tower (Big Ben), London.stl 87.3 KB 2017-10-27 Saber Razmjooei
